petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerDrawGetDrawAxis

Returns PetscDrawAxis object from PetscViewer object. This PetscDrawAxis object may then be used to perform graphics using PetscDrawAxisXXX() commands.

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscViewerDrawGetDrawAxis(PetscViewer viewer,PetscInt windownumber,PetscDrawAxis *drawaxis)

Collective on PetscViewer Many br

### Input Parameter

| viewer | - the PetscViewer (created with PetscViewerDrawOpen() Many br
| windownumber | - indicates which subwindow (usually 0) Many br

### Ouput Parameter

drawaxis -the draw axis object Many br

Many br

### See Also

PetscViewerDrawGetDraw(), PetscViewerDrawGetLG(), PetscViewerDrawOpen()

Level:advanced
Location:src/sys/classes/viewer/impls/draw/drawv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages